Subject: Re: bug#50947: [core-updates-frozen] python-graphene (fixed with version update) and python-nautilus fail to build

From: John Kehayias <[email-masked]>
Date: Sun, 21 Nov 2021 21:29:51 +0000

Hello,

Just to followup here

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Thursday, November 18th, 2021 at 9:57 AM, Ludovic Courtès wrote:

> Addressed with something similar to your patch in commit
> 2b3046beca1b35e03f975fb95956f32eb46dee8c.
>
> > So that builds (see git diff attached), but then python-nautilus fails for me, after updating it as well, with the (partial log):
> >
> > Compiling '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/scripts/events/publish.py'...
> > Listing '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates'...
> > Listing '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api'...
> > Listing '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api/{{name}}'...
> > Compiling '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api/{{name}}/server.py'...
> > *** File "/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api/{{name}}/server.py", line 4
> > class {{name.title()}}Service(nautilus.APIGateway):
> > ^
> > SyntaxError: invalid syntax
>
> That I don’t know how to fix. Looks like these are templates, not
> actual Python files, and that as such they should be skipped compilation
> machinery in the ‘install’ phase.
>
> Maxim, any suggestions?

I filed https://issues.guix.gnu.org/52028 to remove python-nautilus. It is the wrong package and is not needed as far as I can tell. I added a message on that issue number with a WIP diff in case anyone does try to pick it up, but I did not fix it and then realized it was the wrong package.

Thanks for the earlier fixes on python-graphene!

John